<!DOCTYPE EasySokTheme SYSTEM "easysoktheme.dtd" [

<!ENTITY ArrowColor '<Colorize red="128" green="128" blue="224" factor="1.0" />'>
<!ENTITY WallColor '<Colorize red="128" green="128" blue="192" factor="1.0" />'>

]>

<EasySokTheme name="XSokoban blue" red="102" green="102" blue="102">
	<KeeperOnFloor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/keeper.png" />
			</PieceImage>
		</PieceImageAlternates>
	</KeeperOnFloor>
	<KeeperOnDeadFloor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/keeper_on_dead.png" />
			</PieceImage>
		</PieceImageAlternates>
	</KeeperOnDeadFloor>
	<KeeperOnGoal>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/keeper_on_goal.png" />
			</PieceImage>
		</PieceImageAlternates>
	</KeeperOnGoal>
	<MovingKeeper>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/moving_keeper.png" />
			</PieceImage>
		</PieceImageAlternates>
	</MovingKeeper>
	<VirtualKeeper>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/moving_keeper.png">
					<Effect>
						<BlendRgb factor="0.3" />
					</Effect>
				</Layer>
			</PieceImage>
		</PieceImageAlternates>
	</VirtualKeeper>
	<GemOnFloor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/gem.png" />
			</PieceImage>
		</PieceImageAlternates>
	</GemOnFloor>
	<GemOnDeadFloor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/gem_on_dead.png" />
			</PieceImage>
		</PieceImageAlternates>
	</GemOnDeadFloor>
	<GemOnGoal>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/gem_on_goal.png" />
			</PieceImage>
		</PieceImageAlternates>
	</GemOnGoal>
	<MovingGem>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/moving_gem.png" />
			</PieceImage>
		</PieceImageAlternates>
	</MovingGem>
	<Floor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/floor.png" />
			</PieceImage>
		</PieceImageAlternates>
	</Floor>
	<DeadFloor>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/dead_floor.png" />
			</PieceImage>
		</PieceImageAlternates>
	</DeadFloor>
	<Goal>
		<PieceImageAlternates>
			<PieceImage size="96">
				<Layer image="themes/xsokoban/goal.png" />
			</PieceImage>
		</PieceImageAlternates>
	</Goal>
	<LeftArrow>
		<PieceImageAlternates>
			<PieceImage size="128">
				<Layer image="themes/common/arrow.png">
					<Effect>
						<RotateLeft />
						&ArrowColor;
					</Effect>
				</Layer>
			</PieceImage>		
		</PieceImageAlternates>
	</LeftArrow>
	<RightArrow>
		<PieceImageAlternates>
			<PieceImage size="128">
				<Layer image="themes/common/arrow.png">
					<Effect>
						<RotateLeft />
						<HMirror />
						&ArrowColor;
					</Effect>
				</Layer>
			</PieceImage>		
		</PieceImageAlternates>
	</RightArrow>
	<UpArrow>
		<PieceImageAlternates>
			<PieceImage size="128">
				<Layer image="themes/common/arrow.png">
					<Effect>
						<Move yoffset="2" />
						&ArrowColor;
					</Effect>
				</Layer>
			</PieceImage>		
		</PieceImageAlternates>
	</UpArrow>
	<DownArrow>
		<PieceImageAlternates>
			<PieceImage size="128">
				<Layer image="themes/common/arrow.png">
					<Effect>
						<VMirror />
						&ArrowColor;
					</Effect>
				</Layer>
			</PieceImage>		
		</PieceImageAlternates>
	</DownArrow>
	<Wall>
		<WallPieceAlternates left="nonwall" right="nonwall" upper="nonwall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor;
				</Effect>
				<Layer image="themes/xsokoban/EEEEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="nonwall" upper="wall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor;
				</Effect>
				<Layer image="themes/xsokoban/WEEEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="nonwall" upper="nonwall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EWEEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="nonwall" upper="wall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WWEEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="wall" upper="nonwall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EEWEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="wall" upper="wall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WEWEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="wall" upper="nonwall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EWWEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="wall" upper="wall" lower="nonwall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WWWEwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="nonwall" upper="nonwall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EEEWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="nonwall" upper="wall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WEEWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="nonwall" upper="nonwall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EWEWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="nonwall" upper="wall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WWEWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="wall" upper="nonwall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EEWWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="nonwall" right="wall" upper="wall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WEWWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="wall" upper="nonwall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/EWWWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
		<WallPieceAlternates left="wall" right="wall" upper="wall" lower="wall">
			<PieceImage size="128">
				<Effect>
					&WallColor; 
				</Effect>
				<Layer image="themes/xsokoban/WWWWwall.png" />
			</PieceImage>
		</WallPieceAlternates>
	</Wall>
	<Outside>
	</Outside>
</EasySokTheme>
